/*
    SDL - Simple DirectMedia Layer
    Copyright (C) 1997, 1998  Sam Lantinga

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Sam Lantinga
    5635-34 Springhouse Dr.
    Pleasanton, CA 94588 (USA)
    slouken@devolution.com
*/

#ifdef SAVE_RCSID
static char rcsid =
 "@(#) $Id: SDL_cursor_c.h,v 1.1.1.1 1998/07/14 01:51:17 slouken Exp $";
#endif

/* Useful variables and functions from SDL_cursor.c */

extern int  SDL_CursorInit(void);
extern int SDL_OccludeCursor(SDL_Surface *dst, SDL_Rect *rect);
extern void SDL_DrawCursor(SDL_Surface *screen);
extern void SDL_EraseCursor(SDL_Surface *screen);
extern void SDL_RecolorCursor(void);
extern void SDL_MoveCursor(Uint16 x, Uint16 y);
extern void SDL_CursorQuit(void);

/* Cursor blit logic notes:

   When SDL_DrawCursor() or SDL_EraseCursor() is called, the cursor display
   surface is protected against other threads accessing it, but not locked
   as if in hardware.  This allows them to call SDL_LowerBlit() safely.
*/

/* State definitions for the SDL cursor */
#define CURSOR_VISIBLE	0x01
#define CURSOR_FOCUSED	0x02
#define CURSOR_USINGSW	0x10
#define CURSOR_SAVED	0x40
#define CURSOR_ONSCREEN	0x80
#define SHOULD_DRAWCURSOR(X) 						\
	(((X)&(CURSOR_VISIBLE|CURSOR_FOCUSED|CURSOR_USINGSW)) ==  	\
			(CURSOR_VISIBLE|CURSOR_FOCUSED|CURSOR_USINGSW))

extern int SDL_cursorstate;

